Index: palm/trunk/SOURCE/fft_xy_mod.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy_mod.f90	(revision 4645)
+++ palm/trunk/SOURCE/fft_xy_mod.f90	(revision 4646)
@@ -1854,6 +1814,5 @@
 !--          Tables are initialized once more. This call should not be
 !--          necessary, but otherwise program aborts in asymmetric case
-             CALL ZDFFTM( 0, nx+1, nz1, sqr_dnx, work, nx+4, work, nx+4,       &
-                          trig_xb, work1, 0 )
+             CALL ZDFFTM( 0, nx+1, nz1, sqr_dnx, work, nx+4, work, nx+4, trig_xb, work1, 0 )
 
              IF ( nz1 > nz )  THEN
@@ -1868,6 +1827,5 @@
              ENDDO
 
-             CALL ZDFFTM( -1, nx+1, nz1, sqr_dnx, work, sizw, ai, siza, &
-                          trig_xb, work1, 0 )
+             CALL ZDFFTM( -1, nx+1, nz1, sqr_dnx, work, sizw, ai, siza, trig_xb, work1, 0 )
 
              ar(0:nx,1:nz) = ai(0:nx,1:nz)
@@ -1882,13 +1840,13 @@
     END SUBROUTINE fft_x_m
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Fourier-transformation along y-direction.
-!> Version for 1d domain decomposition
+!> Version for 1d domain decomposition,
 !> using multiple 1D FFT from Math Keisan on NEC or Temperton-algorithm
-!> (no singleton-algorithm on NEC because it does not vectorize)
-!------------------------------------------------------------------------------!
- 
+!> (no singleton-algorithm on NEC because it does not vectorize).
+!--------------------------------------------------------------------------------------------------!
+
     SUBROUTINE fft_y_m( ar, ny1, direction )
 
@@ -1897,6 +1855,6 @@
 
        CHARACTER (LEN=*) ::  direction  !<
-       
-       INTEGER(iwp) ::  j     !< 
+
+       INTEGER(iwp) ::  j     !<
        INTEGER(iwp) ::  k     !<
        INTEGER(iwp) ::  ny1   !<
@@ -1964,8 +1922,7 @@
 
 !
-!--          Tables are initialized once more. This call should not be
-!--          necessary, but otherwise program aborts in asymmetric case
-             CALL DZFFTM( 0, ny+1, nz1, sqr_dny, work, ny+4, work, ny+4, &
-                          trig_yf, work1, 0 )
+!--          Tables are initialized once more. This call should not be necessary, but otherwise
+!--          program aborts in asymmetric case.
+             CALL DZFFTM( 0, ny+1, nz1, sqr_dny, work, ny+4, work, ny+4, trig_yf, work1, 0 )
 
              ai(0:ny,1:nz) = ar(0:ny,1:nz)
@@ -1974,6 +1931,5 @@
              ENDIF
 
-             CALL DZFFTM( 1, ny+1, nz1, sqr_dny, ai, siza, work, sizw, &
-                          trig_yf, work1, 0 )
+             CALL DZFFTM( 1, ny+1, nz1, sqr_dny, ai, siza, work, sizw, trig_yf, work1, 0 )
 
              DO  k = 1, nz
@@ -1989,8 +1945,7 @@
 
 !
-!--          Tables are initialized once more. This call should not be
-!--          necessary, but otherwise program aborts in asymmetric case
-             CALL ZDFFTM( 0, ny+1, nz1, sqr_dny, work, ny+4, work, ny+4, &
-                          trig_yb, work1, 0 )
+!--          Tables are initialized once more. This call should not be necessary, but otherwise
+!--          program aborts in asymmetric case.
+             CALL ZDFFTM( 0, ny+1, nz1, sqr_dny, work, ny+4, work, ny+4, trig_yb, work1, 0 )
 
              IF ( nz1 > nz )  THEN
@@ -2005,6 +1960,5 @@
              ENDDO
 
-             CALL ZDFFTM( -1, ny+1, nz1, sqr_dny, work, sizw, ai, siza, &
-                          trig_yb, work1, 0 )
+             CALL ZDFFTM( -1, ny+1, nz1, sqr_dny, work, sizw, ai, siza, trig_yb, work1, 0 )
 
              ar(0:ny,1:nz) = ai(0:ny,1:nz)
